## org.eclipse.ocl.parser
Class AbstractOCLParser

    java.lang.Object
      lpg.lpgjavaruntime.PrsStream
          org.eclipse.ocl.lpg.AbstractParser
              org.eclipse.ocl.parser.AbstractOCLParser

All Implemented Interfaces:
  lpg.lpgjavaruntime.ParseErrorCodes, lpg.lpgjavaruntime.TokenStream

Direct Known Subclasses:
  OCLParser

    public abstract class AbstractOCLParser

extends AbstractParser

Field Summary

Fields inherited from interface lpg.lpgjavaruntime.ParseErrorCodes
`BEFORE_CODE, DELETION_CODE, EOF_CODE, ERROR_CODE, errorMsgText, INSERTION_CODE, INVALID_CODE, INVALID_TOKEN_CODE, LEX_ERROR_CODE, MERGE_CODE, MISPLACED_CODE, SCOPE_CODE, SECONDARY_CODE, SUBSTITUTION_CODE`

Constructor Summary
`AbstractOCLParser(AbstractLexer lexStream)`
`AbstractOCLParser(BasicEnvironment environment)`

Method Summary
`protected BooleanLiteralExpCS` `createBooleanLiteralExpCS(String string)`
`protected ClassifierContextDeclCS` `createClassifierContextDeclCS(PathNameCS pathNameCS, InvOrDefCS invOrDefCS)`
`protected CollectionLiteralExpCS` `createCollectionLiteralExpCS(CollectionTypeIdentifierEnum type, EList<CollectionLiteralPartCS> collectionLiteralParts)`
`protected CollectionLiteralPartCS` `createCollectionLiteralPartCS(OCLExpressionCS oclExpressionCS)`
`protected CollectionRangeCS` `createCollectionRangeCS(OCLExpressionCS oclExpressionCS, OCLExpressionCS lastOCLExpressionCS)`
`protected CollectionTypeCS` `createCollectionTypeCS(CollectionTypeIdentifierEnum collectionType, TypeCS typeCS)`
`protected DefCS` `createDefCS(InvOrDefCS invOrDefCS, SimpleNameCS simpleNameCS, DefExpressionCS defExpressionCS)`
`protected DefExpressionCS` `createDefExpressionCS(VariableCS variableCS, OperationCS operationCS, OCLExpressionCS oclExpressionCS)`
`protected DerValueCS` `createDerValueCS(InitOrDerValueCS initOrDerValueCS, OCLExpressionCS oclExpressionCS)`
`protected EnumLiteralExpCS` `createEnumLiteralExpCS(PathNameCS pathNameCS, SimpleNameCS simpleNameCS)`
`protected EnumLiteralExpCS` `createEnumLiteralExpCS(PathNameCS pathNameCS, String simpleName)`
`protected FeatureCallExpCS` `createFeatureCallExpCS(SimpleNameCS simpleNameCS, EList<OCLExpressionCS> arguments, IsMarkedPreCS isMarkedPreCS)`
`protected IfExpCS` `createIfExpCS(OCLExpressionCS condition, OCLExpressionCS thenExpression, OCLExpressionCS elseExpression)`
`protected InitValueCS` `createInitValueCS(InitOrDerValueCS initOrDerValueCS, OCLExpressionCS oclExpressionCS)`
`protected IntegerLiteralExpCS` `createIntegerLiteralExpCS(String string)`
`protected InvalidLiteralExpCS` `createInvalidLiteralExpCS(String string)`
`protected InvCS` `createInvCS(InvOrDefCS invOrDefCS, SimpleNameCS simpleNameCS, OCLExpressionCS oclExpressionCS)`
`protected IsMarkedPreCS` `createIsMarkedPreCS(boolean isMarkedPre)`
`protected IterateExpCS` `createIterateExpCS(SimpleNameCS simpleNameCS, VariableCS variable1, VariableCS variable2, OCLExpressionCS oclExpressionCS)`
`protected IteratorExpCS` `createIteratorExpCS(SimpleNameCS simpleNameCS, VariableCS variable1, VariableCS variable2, OCLExpressionCS oclExpressionCS)`
`protected LetExpCS` `createLetExpCS(EList<VariableCS> variables, OCLExpressionCS oclExpressionCS)`
`protected MessageExpCS` `createMessageExpCS(boolean hasSent, SimpleNameCS simpleNameCS, EList<OCLMessageArgCS> oclMessageArgs)`
`protected NullLiteralExpCS` `createNullLiteralExpCS(String string)`
`protected OCLMessageArgCS` `createOCLMessageArgCS(TypeCS typeCS, OCLExpressionCS oclExpressionCS)`
`protected OperationCallExpCS` `createOperationCallExpCS(OCLExpressionCS oclExpressionCS, SimpleNameCS simpleNameCS, EList<OCLExpressionCS> arguments)`
`protected OperationCallExpCS` `createOperationCallExpCS(OCLExpressionCS oclExpressionCS, SimpleNameCS simpleNameCS, IsMarkedPreCS isMarkedPreCS, EList<OCLExpressionCS> arguments)`
`protected OperationCallExpCS` `createOperationCallExpCS(SimpleNameCS simpleNameCS, IsMarkedPreCS isMarkedPreCS, EList<OCLExpressionCS> arguments)`
`protected OperationCallExpCS` `createOperationCallExpCS(SimpleNameCS simpleNameCS, IsMarkedPreCS isMarkedPreCS, StateExpCS stateExpCS)`
`protected OperationContextDeclCS` `createOperationContextDeclCS(OperationCS operationCS, EList<PrePostOrBodyDeclCS> prePostOrBodyDecls)`
`protected OperationCS` `createOperationCS(PathNameCS pathNameCS, SimpleNameCS simpleNameCS, EList<VariableCS> list, TypeCS typeCS)`
`protected OperationCS` `createOperationCS(String simpleName, EList<VariableCS> list, TypeCS typeCS)`
`protected PackageDeclarationCS` `createPackageDeclarationCS(PathNameCS pathNameCS, EList<ContextDeclCS> contextDecls)`
`protected PathNameCS` `createPathNameCS()`
`protected PathNameCS` `createPathNameCS(String pathName)`
`protected PrePostOrBodyDeclCS` `createPrePostOrBodyDeclCS(PrePostOrBodyEnum kind, SimpleNameCS simpleNameCS, OCLExpressionCS oclExpressionCS)`
`protected PrimitiveTypeCS` `createPrimitiveTypeCS(SimpleTypeEnum type, String value)`
`protected PropertyContextCS` `createPropertyContextCS(PathNameCS pathNameCS, SimpleNameCS simpleNameCS, TypeCS typeCS, InitOrDerValueCS initOrDerValueCS)`
`protected IntegerLiteralExpCS` `createRangeStart(String integerDotDot, boolean isNegative)`
`protected RealLiteralExpCS` `createRealLiteralExpCS(String string)`
`protected SimpleNameCS` `createSimpleNameCS(SimpleTypeEnum type, String value)`
`protected StateExpCS` `createStateExpCS(PathNameCS pathName)`
`protected StringLiteralExpCS` `createStringLiteralExpCS(String string)`
`protected TupleLiteralExpCS` `createTupleLiteralExpCS(EList<VariableCS> variables)`
`protected TupleTypeCS` `createTupleTypeCS(EList<VariableCS> variables)`
`protected UnlimitedNaturalLiteralExpCS` `createUnlimitedNaturalLiteralExpCS(String string)`
`protected VariableCS` `createVariableCS(String varName, TypeCS typeCS, OCLExpressionCS oclExpressionCS)`
`protected VariableExpCS` `createVariableExpCS(SimpleNameCS simpleNameCS, EList<OCLExpressionCS> arguments, IsMarkedPreCS isMarkedPreCS)`
`protected PathNameCS` `extendPathNameCS(PathNameCS path, String name)`

Methods inherited from class org.eclipse.ocl.lpg.AbstractParser
`computeInputString, getEnvironment, getLexer, parseTokensToCST, parseTokensToCST, reportError, resetLexStream, setLexStream, setOffsets, setOffsets, setOffsets, setOffsets, setOffsets, setOffsets, unquote`

Methods inherited from class lpg.lpgjavaruntime.PrsStream

`addAdjunct, addToken, afterEol, badToken, dumpToken, dumpTokens, getAdjuncts, getColumn, getColumnOfTokenAt, getEndColumn, getEndColumnOfTokenAt, getEndLine, getEndLineNumberOfTokenAt, getEndOffset, getFileName, getFirstErrorToken, getFirstRealToken, getFollowingAdjuncts, getInputChars, getIToken, getKind, getLastErrorToken, getLastRealToken, getLexStream, getLine, getLineNumberOfTokenAt, getName, getNext, getPrecedingAdjuncts, getPrevious, getSize, getStartOffset, getStreamIndex, getStreamLength, getToken, getToken, getTokenAt, getTokenAtCharacter, getTokenIndexAtCharacter, getTokenLength, getTokens, getTokenText, makeAdjunct, makeErrorToken, makeToken, mapKind, orderedTerminalSymbols, peek, remapTerminalSymbols, reportError, reportError, reportError, reset, reset, resetTokenStream, setSize, setStreamIndex, setStreamLength, setStreamLength`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractOCLParser

    public AbstractOCLParser(BasicEnvironment environment)

### AbstractOCLParser

    public AbstractOCLParser(AbstractLexer lexStream)

Method Detail

### createPackageDeclarationCS

    protected PackageDeclarationCS createPackageDeclarationCS(PathNameCS pathNameCS,
                                                              EList<ContextDeclCS> contextDecls)

### createPropertyContextCS

    protected PropertyContextCS createPropertyContextCS(PathNameCS pathNameCS,
                                                        SimpleNameCS simpleNameCS,
                                                        TypeCS typeCS,
                                                        InitOrDerValueCS initOrDerValueCS)

### createDerValueCS

    protected DerValueCS createDerValueCS(InitOrDerValueCS initOrDerValueCS,
                                          OCLExpressionCS oclExpressionCS)

### createInitValueCS

    protected InitValueCS createInitValueCS(InitOrDerValueCS initOrDerValueCS,
                                            OCLExpressionCS oclExpressionCS)

### createClassifierContextDeclCS

    protected ClassifierContextDeclCS createClassifierContextDeclCS(PathNameCS pathNameCS,
                                                                    InvOrDefCS invOrDefCS)

### createInvCS

    protected InvCS createInvCS(InvOrDefCS invOrDefCS,
                                SimpleNameCS simpleNameCS,
                                OCLExpressionCS oclExpressionCS)

### createDefCS

    protected DefCS createDefCS(InvOrDefCS invOrDefCS,
                                SimpleNameCS simpleNameCS,
                                DefExpressionCS defExpressionCS)

### createDefExpressionCS

    protected DefExpressionCS createDefExpressionCS(VariableCS variableCS,
                                                    OperationCS operationCS,
                                                    OCLExpressionCS oclExpressionCS)

### createOperationContextDeclCS

    protected OperationContextDeclCS createOperationContextDeclCS(OperationCS operationCS,
                                                                  EList<PrePostOrBodyDeclCS> prePostOrBodyDecls)

### createPrePostOrBodyDeclCS

    protected PrePostOrBodyDeclCS createPrePostOrBodyDeclCS(PrePostOrBodyEnum kind,
                                                            SimpleNameCS simpleNameCS,
                                                            OCLExpressionCS oclExpressionCS)

### createOperationCS

    protected OperationCS createOperationCS(PathNameCS pathNameCS,
                                            SimpleNameCS simpleNameCS,
                                            EList<VariableCS> list,
                                            TypeCS typeCS)

### createOperationCS

    protected OperationCS createOperationCS(String simpleName,
                                            EList<VariableCS> list,
                                            TypeCS typeCS)

### createOperationCallExpCS

    protected OperationCallExpCS createOperationCallExpCS(OCLExpressionCS oclExpressionCS,
                                                          SimpleNameCS simpleNameCS,
                                                          IsMarkedPreCS isMarkedPreCS,
                                                          EList<OCLExpressionCS> arguments)

### createOperationCallExpCS

    protected OperationCallExpCS createOperationCallExpCS(OCLExpressionCS oclExpressionCS,
                                                          SimpleNameCS simpleNameCS,
                                                          EList<OCLExpressionCS> arguments)

### createOperationCallExpCS

    protected OperationCallExpCS createOperationCallExpCS(SimpleNameCS simpleNameCS,
                                                          IsMarkedPreCS isMarkedPreCS,
                                                          EList<OCLExpressionCS> arguments)

### createOperationCallExpCS

    protected OperationCallExpCS createOperationCallExpCS(SimpleNameCS simpleNameCS,
                                                          IsMarkedPreCS isMarkedPreCS,
                                                          StateExpCS stateExpCS)

### createStateExpCS

    protected StateExpCS createStateExpCS(PathNameCS pathName)

### createVariableExpCS

    protected VariableExpCS createVariableExpCS(SimpleNameCS simpleNameCS,
                                                EList<OCLExpressionCS> arguments,
                                                IsMarkedPreCS isMarkedPreCS)

### createSimpleNameCS

    protected SimpleNameCS createSimpleNameCS(SimpleTypeEnum type,
                                              String value)

### createPrimitiveTypeCS

    protected PrimitiveTypeCS createPrimitiveTypeCS(SimpleTypeEnum type,
                                                    String value)

### createPathNameCS

    protected PathNameCS createPathNameCS(String pathName)

### extendPathNameCS

    protected PathNameCS extendPathNameCS(PathNameCS path,
                                          String name)

### createPathNameCS

    protected PathNameCS createPathNameCS()

### createEnumLiteralExpCS

    protected EnumLiteralExpCS createEnumLiteralExpCS(PathNameCS pathNameCS,
                                                      SimpleNameCS simpleNameCS)

### createEnumLiteralExpCS

    protected EnumLiteralExpCS createEnumLiteralExpCS(PathNameCS pathNameCS,
                                                      String simpleName)

### createCollectionLiteralExpCS

    protected CollectionLiteralExpCS createCollectionLiteralExpCS(CollectionTypeIdentifierEnum type,
                                                                  EList<CollectionLiteralPartCS> collectionLiteralParts)

### createCollectionLiteralPartCS

    protected CollectionLiteralPartCS createCollectionLiteralPartCS(OCLExpressionCS oclExpressionCS)

### createCollectionRangeCS

    protected CollectionRangeCS createCollectionRangeCS(OCLExpressionCS oclExpressionCS,
                                                        OCLExpressionCS lastOCLExpressionCS)

### createRangeStart

    protected IntegerLiteralExpCS createRangeStart(String integerDotDot,
                                                   boolean isNegative)

### createTupleLiteralExpCS

    protected TupleLiteralExpCS createTupleLiteralExpCS(EList<VariableCS> variables)

### createIntegerLiteralExpCS

    protected IntegerLiteralExpCS createIntegerLiteralExpCS(String string)

### createUnlimitedNaturalLiteralExpCS

    protected UnlimitedNaturalLiteralExpCS createUnlimitedNaturalLiteralExpCS(String string)

### createRealLiteralExpCS

    protected RealLiteralExpCS createRealLiteralExpCS(String string)

### createStringLiteralExpCS

    protected StringLiteralExpCS createStringLiteralExpCS(String string)

### createBooleanLiteralExpCS

    protected BooleanLiteralExpCS createBooleanLiteralExpCS(String string)

### createNullLiteralExpCS

    protected NullLiteralExpCS createNullLiteralExpCS(String string)

### createInvalidLiteralExpCS

    protected InvalidLiteralExpCS createInvalidLiteralExpCS(String string)

### createIteratorExpCS

    protected IteratorExpCS createIteratorExpCS(SimpleNameCS simpleNameCS,
                                                VariableCS variable1,
                                                VariableCS variable2,
                                                OCLExpressionCS oclExpressionCS)

### createIterateExpCS

    protected IterateExpCS createIterateExpCS(SimpleNameCS simpleNameCS,
                                              VariableCS variable1,
                                              VariableCS variable2,
                                              OCLExpressionCS oclExpressionCS)

### createVariableCS

    protected VariableCS createVariableCS(String varName,
                                          TypeCS typeCS,
                                          OCLExpressionCS oclExpressionCS)

### createCollectionTypeCS

    protected CollectionTypeCS createCollectionTypeCS(CollectionTypeIdentifierEnum collectionType,
                                                      TypeCS typeCS)

### createTupleTypeCS

    protected TupleTypeCS createTupleTypeCS(EList<VariableCS> variables)

### createFeatureCallExpCS

    protected FeatureCallExpCS createFeatureCallExpCS(SimpleNameCS simpleNameCS,
                                                      EList<OCLExpressionCS> arguments,
                                                      IsMarkedPreCS isMarkedPreCS)

### createIsMarkedPreCS

    protected IsMarkedPreCS createIsMarkedPreCS(boolean isMarkedPre)

### createLetExpCS

    protected LetExpCS createLetExpCS(EList<VariableCS> variables,
                                      OCLExpressionCS oclExpressionCS)

### createIfExpCS

    protected IfExpCS createIfExpCS(OCLExpressionCS condition,
                                    OCLExpressionCS thenExpression,
                                    OCLExpressionCS elseExpression)

### createMessageExpCS

    protected MessageExpCS createMessageExpCS(boolean hasSent,
                                              SimpleNameCS simpleNameCS,
                                              EList<OCLMessageArgCS> oclMessageArgs)

### createOCLMessageArgCS

    protected OCLMessageArgCS createOCLMessageArgCS(TypeCS typeCS,
                                                    OCLExpressionCS oclExpressionCS)

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.